

# ListDomainVerifications


 Lists the domain verifications. 

## Request Syntax


```
GET /domainverifications?maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [maxResults](#API_ListDomainVerifications_RequestSyntax) **   <a name="vpclattice-ListDomainVerifications-request-uri-maxResults"></a>
 The maximum number of results to return.   
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_ListDomainVerifications_RequestSyntax) **   <a name="vpclattice-ListDomainVerifications-request-uri-nextToken"></a>
 A pagination token for the next page of results.   
Length Constraints: Minimum length of 1. Maximum length of 2048.

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "items": [ 
      { 
         "arn": "string",
         "createdAt": "string",
         "domainName": "string",
         "id": "string",
         "lastVerifiedTime": "string",
         "status": "string",
         "tags": { 
            "string" : "string" 
         },
         "txtMethodConfig": { 
            "name": "string",
            "value": "string"
         }
      }
   ],
   "nextToken": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [items](#API_ListDomainVerifications_ResponseSyntax) **   <a name="vpclattice-ListDomainVerifications-response-items"></a>
 Information about the domain verifications.   
Type: Array of [DomainVerificationSummary](API_DomainVerificationSummary.md) objects

 ** [nextToken](#API_ListDomainVerifications_ResponseSyntax) **   <a name="vpclattice-ListDomainVerifications-response-nextToken"></a>
 A pagination token for the next page of results.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The user does not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred while processing the request.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource that does not exist.    
 ** resourceId **   
The resource ID.  
 ** resourceType **   
The resource type.
HTTP Status Code: 404

 ** ThrottlingException **   
The limit on the number of requests per second was exceeded.    
 ** quotaCode **   
The ID of the service quota that was exceeded.  
 ** retryAfterSeconds **   
The number of seconds to wait before retrying.  
 ** serviceCode **   
The service code.
HTTP Status Code: 429

 ** ValidationException **   
The input does not satisfy the constraints specified by an AWS service.    
 ** fieldList **   
The fields that failed validation.  
 ** reason **   
The reason.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/vpc-lattice-2022-11-30/ListDomainVerifications) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/vpc-lattice-2022-11-30/ListDomainVerifications) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/vpc-lattice-2022-11-30/ListDomainVerifications) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/vpc-lattice-2022-11-30/ListDomainVerifications) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/vpc-lattice-2022-11-30/ListDomainVerifications) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/vpc-lattice-2022-11-30/ListDomainVerifications) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/vpc-lattice-2022-11-30/ListDomainVerifications) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/vpc-lattice-2022-11-30/ListDomainVerifications) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/vpc-lattice-2022-11-30/ListDomainVerifications) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/vpc-lattice-2022-11-30/ListDomainVerifications) 